# NOMAD-CAMELS Driver for SweepMe! device drivers

Wrapper for the device drivers by [SweepMe!](https://sweep-me.net/) written for the measurement software [NOMAD CAMELS](https://fau-lap.github.io/NOMAD-CAMELS/).

## Changelog

### 0.2.0

- Fixed the populating of the set adn read channels.
- Now closes the ports correctly after using the instruments.
- Now remembers the port correctly.

### Tested with

- Keithley 2000
- Agilent B2912A
- Stanford Research Lock-in SR865

## Usage

To use this wrapper, you need to install the drivers of SweepMe! seperately. You can find them on their [website](https://sweep-me.net/devices) or get them from their [GitHub page](https://github.com/SweepMe/instrument-drivers).

Please note that this provides only a wrapper for the drivers of SweepMe! and may not support all functions. If you find any issues, please feel free to [report an issue](https://github.com/FAU-LAP/CAMELS_drivers/issues).

The single drivers might need additional python packages. Those are not required by this package! Please make sure you have the appropriate libraries for the instrument you want to use.

## Documentation

For more information visit the [documentation of NOMAD CAMELS](https://fau-lap.github.io/NOMAD-CAMELS/doc/instruments/instruments.html) and the [SweepMe! wiki](https://wiki.sweep-me.net/wiki/Main_Page).
